/*Google Fonts*/
@import url("https://fonts.googleapis.com/css2?family=Lato:wght@300&family=Poppins:wght@300;400;600&family=Work+Sans:wght@300&display=swap");

* {
  font-family: "Lato", sans-serif;
  /* font-family: "Poppins", sans-serif; */
  /* font-family: "Work Sans", sans-serif; */
  margin: 0;
  padding: 0;
  scroll-padding-top: 2rem;
  scroll-behavior: smooth;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
}

:root {
  --main-color: #fd4646;
  --text-color: #171427;
  --bg-color: #fff;
}

img {
  width: 100%;
}
body {
  color: var(--text-color);
}
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: #fcb900;
  box-shadow: 0 1px 4px hsl(0 4% 15% / 10%);
  z-index: 100;
}
section {
  padding: 4rem;
}
.nav {
  display: flex;
  justify-content:space-evenly;
  padding: 20px;
}

.logo {
  /* margin-left: 35rem; */
  font-size: 1.4rem;

  color: var(--text-color);
  font-weight: 800;
}

#cart-icon {
  color: #171427;
  font-size: 2rem;
  cursor: pointer;
}
#close-cart {
  position: absolute;
  top: 1rem;
  /* right: 0.8rem; */
  left: 1rem;
  font-size: 2rem;
  color: var(--text-color);
  cursor: pointer;
}
.section-title {
  font-size: 2.5rem;
  font-weight: 600;
  text-align: center;
  margin-bottom: 1.5rem;
}

.shop {
  margin-top: 2 rem;
}

.shop-content {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, auto));
  gap: 1rem;
  row-gap: 2rem;
}

.product-box {
  position: relative;
}

.product-box:hover {
  outline: none;

  padding: 5px;

  border: 3px solid #fcb900;
  transition: 0.4s;
}
.product-img {
  width: 100%;
  height: auto;
  margin-bottom: 0.5rem;
}
.product-title {
  font-size: 1.1rem;
  font-weight: 600;
  text-transform: uppercase;
  margin-bottom: 0.3rem;
  color: black;
}

.cart-details {
  /* position: absolute; */
  bottom: 0;
  width: 25%;
  /* margin-left: 3%; */
  font-size: 1rem;
  text-align: center;
  background: rgb(21, 21, 78);
  color: var(--bg-color);
  padding: 10px;
  cursor: pointer;
  border-radius: 12px;
}

.add-cart {
  /* position: absolute; */
  font-size: 1rem;
  font-style: normal;
  text-align: center;
  text-transform: uppercase;
  bottom: 0;
  right: 0;
  font-weight: bolder;

  /* background: rgb(21, 21, 78); */
  background-color: #fcb900;
  color: black;
  /* color: #fcb900; */
  padding: 6px;
  cursor: pointer;
  border-radius: 7px;
}

.add-cart:hover {
  background: hsl(249%, 32%, 17%);
}
.container {
  max-width: 1068px;
  margin: auto;
  width: 100%;
}
.cart {
  color: black;
  overflow-y: scroll;
  overflow: auto;
  position: fixed;
  top: 0;
  right: -100%;
  width: 360px;
  min-height: 100vh;
  padding: 20px;
  background-color: #f4f8f8;
  box-shadow: -2px 0 4px hsl(0 4% 15% / 10%);
  transition: 0.3s;
}

.cart-content,
#capture {
  height: 250px;
  overflow: hidden;
  overflow-y: scroll;
}
.cart.active {
  right: 0;
}
.cart-title {
  text-align: center;
  font-size: 1.2rem;
  font-weight: 900;
  margin-top: 1px;
}

.cart-box {
  display: grid;
  grid-template-columns: 31% 40% 11%;
  align-items: center;
  gap: 1rem;
}

.cart-img {
  width: 100px;
  height: 100px;
  object-fit: contain;
  padding: 10px;
}

.detail-box {
  display: grid;
  row-gap: 0.5rem;
}

.cart-product-title {
  font-size: 1rem;
  text-transform: uppercase;
}

.cart-price {
  font-weight: 500;
  /* width: 70%; */
}

.cart-quantity {
  visibility: hidden;
  border: 1px solid var(--text-color);
  outline-color: var(--main-color);
  width: 3rem;
  text-align: center;
  font-size: 1.2rem;
}

.cart-remove {
  font-size: 20px;
  color: var(--main-color);
  cursor: pointer;
}

.total {
  display: flex;
  justify-content: flex-end;
  margin-top: 1.5rem;
  border-top: 1px solid var(--text-color);
}

.total-title {
  font-size: 1rem;
  font-weight: 600;
}
.price {
  font-size: 1.5rem;
}
.total-price {
  margin-left: 0.5rem;
}

.btn-buy {
  display: flex;
  margin: 0.5rem auto;
  padding: 10px 50px;
  border: none;
  background: var(--main-color);
  color: var(--bg-color);
  font-size: 1.2rem;
  font-weight: 500;
  cursor: pointer;
}
.btn-buy:hover {
  background-color: var(--text-color);
}

.modal-des {
  font-size: 1.5rem;
}

@media (max-width: 1080px) {
  .nav {
    padding: 15px;
  }

  section {
    padding: 3rem 0 2rem;
  }
  .container {
    margin: 0 auto;
    width: 90%;
  }
  .shop {
    margin-top: 2rem !important;
  }
}

@media (max-width: 400px) {
  .nav {
    padding: 11px;
  }
  .logo {
    font-size: 1rem;
    margin-left: 35%;
  }
  .cart {
    width: 320px;
  }
}

@media (max-width: 360px) {
  .logo {
    font-size: 1rem;
    margin-left: 35%;
  }
  .shop {
    margin-top: 1rem !important;
  }
  .cart {
    width: 300px;
  }
}
